--AH:ScriptId=37182f13-4d80-437d-b6c9-ee043536a794;3247
CREATE TABLE [NuGetPackageSymbolsV2] (
	[Feed_Id] INT NOT NULL,
	[Symbol_Id] VARBINARY(20) NOT NULL,
	[SymbolFileName_Text] NVARCHAR(255) NOT NULL,
	[Symbol_Age] INT NOT NULL,
	[NuGetPackageV2_Id] INT NOT NULL,
	[Package_Version_Text] VARCHAR(255) NOT NULL,
	[Package_SymbolFilePath_Text] NVARCHAR(255) NOT NULL,

	CONSTRAINT [FK__NuGetPackageSymbolsV2__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds]([Feed_Id]),

	CONSTRAINT [FK__NuGetPackageSymbolsV2__Packages]
		FOREIGN KEY ([NuGetPackageV2_Id], [Package_Version_Text])
		REFERENCES [NuGetPackageVersionsV2]([NuGetPackageV2_Id], [Version_Text])
)
GO

CREATE NONCLUSTERED INDEX [IX__NuGetPackageSymbolsV2__Feed_Id__Package_Id__Package_Version]
	ON [NuGetPackageSymbolsV2]([Feed_Id], [NuGetPackageV2_Id], [Package_Version_Text])
GO

CREATE NONCLUSTERED INDEX [IX__NuGetPackageSymbolsV2__Feed_Id__Symbol_Id]
	ON [NuGetPackageSymbolsV2]([Feed_Id], [Symbol_Id])
GO
