EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalGroups_DeleteGroup',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified external group.'
GO

IF OBJECT_ID('[ExternalGroups_DeleteGroup]') IS NOT NULL DROP PROCEDURE [ExternalGroups_DeleteGroup]
GO

CREATE PROCEDURE [ExternalGroups_DeleteGroup]
(
	@UserDirectory_Id INT,
	@ExternalGroup_Name NVARCHAR(200)
)
AS
BEGIN
	
	SET NOCOUNT ON

	DELETE [ExternalGroups]
	 WHERE [UserDirectory_Id] = @UserDirectory_Id
	   AND [ExternalGroup_Name] = @ExternalGroup_Name

END
GO

GRANT EXECUTE ON [ExternalGroups_DeleteGroup] TO [ProGetUser_Role]
GO
