EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RubyGems_GetLatestGemVersions',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RubyGems_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the latest Gem versions in a Ruby Gems feed.'
GO

IF OBJECT_ID('[RubyGems_GetLatestGemVersions]') IS NOT NULL DROP PROCEDURE [RubyGems_GetLatestGemVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RubyGems_GetLatestGemVersions]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [RubyGems_Extended]
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [RubyGems_GetLatestGemVersions] TO [ProGetUser_Role]
GO