--AH:ScriptId=BB77D4FA-9162-4990-9E47-CA528AA5DFFF

ALTER TABLE [Connectors]
	DROP CONSTRAINT [UC_Connector_Name]
GO

UPDATE [Connectors]
SET [Connector_Name] = [Connector_Name] + ' (' + CAST([Connector_Id] AS NVARCHAR(5)) + ')'
WHERE EXISTS 
	(SELECT * FROM [Connectors] c1 
		GROUP BY [Connector_Name]
		HAVING COUNT(*) > 1 
		AND [Connectors].[Connector_Name] = c1.[Connector_Name])
GO

ALTER TABLE [Connectors]
	ADD CONSTRAINT [UQ__Connectors]
		UNIQUE ([Connector_Name])
